package meerkat.voting.gui.panels.thank_for_audditing;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import meerkat.voting.gui.managment.TwoWayNode;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Created by Vladimir Eliezer Tokarev on 10/5/2016.
 * Representing that the vote have been given for auditing
 */
public class ThankForAuditingController extends TwoWayNode {

    private final Logger logger = LoggerFactory.getLogger(ThankForAuditingLoader.class);

    @FXML
    private void GetBackToStart(MouseEvent boutonPressed) {
        this.currentStage.close();
        this.currentStage.setScene(this.previous.GetCurrentScene());
        this.previous.UpdateNode();
        this.currentStage.show();
        this.logger.debug("Jumping back to the welcome splash screen.");
    }

    @Override
    public void UpdateNode() {
        // Should do nothing really
    }
}
